#  gLifestream Copyright (C) 2009, 2010 Wojciech Polak
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the
#  Free Software Foundation; either version 3 of the License, or (at your
#  option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License along
#  with this program.  If not, see <http://www.gnu.org/licenses/>.

from django import forms
from django.contrib.auth.forms import AuthenticationForm
from django.utils.translation import ugettext_lazy as _


class AuthenticationRememberMeForm (AuthenticationForm):
    remember_me = forms.BooleanField(label=_('Remember Me'),
                                     initial=False,
                                     required=False)


class OpenIdForm (forms.Form):
    openid_identifier = forms.CharField(label=_('OpenID'),
                                        max_length=128)
    remember_me = forms.BooleanField(label=_('Remember Me'),
                                     initial=False,
                                     required=False)
